Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleEditableText

All Superinterfaces:
  AccessibleText

All Known Implementing Classes:
  JTextComponent.AccessibleJTextComponent

public interface AccessibleEditableText
extends AccessibleText

The AccessibleEditableText interface should be implemented by all classes that present editable textual information on the display. Along with the AccessibleText interface, this interface provides the standard mechanism for an assistive technology to access that text via its content, attributes, and spatial location. Applications can determine if an object supports the AccessibleEditableText interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleEditableText()` method of AccessibleContext. If the return value is not null, the object supports this interface.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleText()`, `AccessibleContext.getAccessibleEditableText()`

Field Summary

Fields inherited from interface javax.accessibility.AccessibleText
`CHARACTER, SENTENCE, WORD`

Method Summary
`void` | `cut(int startIndex, int endIndex)` Cuts the text between two indices into the system clipboard.
`void` | `delete(int startIndex, int endIndex)` Deletes the text between two indices
`String` | `getTextRange(int startIndex, int endIndex)` Returns the text string between two indices.
`void` | `insertTextAtIndex(int index, String s)` Inserts the specified string at the given index/
`void` | `paste(int startIndex)` Pastes the text from the system clipboard into the text starting at the specified index.
`void` | `replaceText(int startIndex, int endIndex, String s)` Replaces the text between two indices with the specified string.
`void` | `selectText(int startIndex, int endIndex)` Selects the text between two indices.
`void` | `setAttributes(int startIndex, int endIndex, AttributeSet as)` Sets attributes for the text between two indices.
`void` | `setTextContents(String s)` Sets the text contents to the specified string.

Methods inherited from interface javax.accessibility.AccessibleText
`getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart`

Method Detail

### setTextContents

    public void setTextContents(String s)

  Sets the text contents to the specified string.

  Parameters:
    `s` - the string to set the text contents

### insertTextAtIndex

    public void insertTextAtIndex(int index,
                                  String s)

  Inserts the specified string at the given index/

  Parameters:
    `index` - the index in the text where the string will be inserted
    `s` - the string to insert in the text

### getTextRange

    public String getTextRange(int startIndex,
                               int endIndex)

  Returns the text string between two indices.

  Parameters:
    `startIndex` - the starting index in the text
    `endIndex` - the ending index in the text
  Returns:
    the text string between the indices

### delete

    public void delete(int startIndex,
                       int endIndex)

  Deletes the text between two indices

  Parameters:
    `startIndex` - the starting index in the text
    `endIndex` - the ending index in the text

### cut

    public void cut(int startIndex,
                    int endIndex)

  Cuts the text between two indices into the system clipboard.

  Parameters:
    `startIndex` - the starting index in the text
    `endIndex` - the ending index in the text

### paste

    public void paste(int startIndex)

  Pastes the text from the system clipboard into the text starting at the specified index.

  Parameters:
    `startIndex` - the starting index in the text

### replaceText

    public void replaceText(int startIndex,
                            int endIndex,
                            String s)

  Replaces the text between two indices with the specified string.

  Parameters:
    `startIndex` - the starting index in the text
    `endIndex` - the ending index in the text
    `s` - the string to replace the text between two indices

### selectText

    public void selectText(int startIndex,
                           int endIndex)

  Selects the text between two indices.

  Parameters:
    `startIndex` - the starting index in the text
    `endIndex` - the ending index in the text

### setAttributes

    public void setAttributes(int startIndex,
                              int endIndex,
                              AttributeSet as)

  Sets attributes for the text between two indices.

  Parameters:
    `startIndex` - the starting index in the text
    `endIndex` - the ending index in the text
    `as` - the attribute set
  See Also:
    `AttributeSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.